import Vue from 'vue'


window.player = new Vue({
    el: '#player',
    data: {
        audio: new Audio('http://listen.radioking.com/radio/116593/stream/155905'),
        playClass: 'glyphicon-pause',
        cover: '',
        title: '',
        artist: ''
    },
    methods: {
        togglePlay: function () {
            if (this.playClass === 'glyphicon-play') {
                this.audio.volume = 1
                this.playClass = 'glyphicon-pause'
            }
            else {
                this.audio.volume = 0
                this.playClass = 'glyphicon-play'
            }
        },
        reloadData: function () {
            let xmlhttp = new XMLHttpRequest();
            let url = "https://www.radioking.com/widgets/currenttrack.php?radio=116593&format=json";

            xmlhttp.onreadystatechange = function() {
                if (this.readyState === 4 && this.status === 200) {
                    var myArr = JSON.parse(this.responseText);
                    setup(myArr);
                }
            };

            xmlhttp.open("GET", url, true);
            xmlhttp.send();

            let setup = (myArr) => {
                this.cover = myArr.cover
                this.artist = myArr.artist
                this.title = myArr.title
            }

            window.setTimeout(this.reloadData, 10000)
        }
    },
    mounted: function () {
        var audio = this.audio
        this.audio.onloadedmetadata = function () {audio.play()}
        this.reloadData()
    },
    template: '<div class="thumbnail" id="player-thumbnail"><img v-bind:src="cover" alt="cover" id="player-img"/><div class="caption" id="player-caption">' +
    '<p class="text-center">{{ title }} - {{ artist }} <a v-on:click="togglePlay" class="btn btn-default">' +
    '<span class="glyphicon" v-bind:class="[playClass]" aria-hidden="true"></span></a></p></div></div>'
})