import Vue from 'vue'

var latOffset = 1;
var lonOffset = 1;


var traffic_table = new Vue({
    el: '#traffic',
    data: {
        resources: []
    },
    template: '<table class="table"><thead><tr><th>Description de l\'accident</th></tr></thead>' +
    '<tbody v-for="resource in resources">' +
    '<tr><td>{{ resource.description }}</td></tr>' +
    '</tbody></table>'
})

var getTraffic = (lat, lon) => {
    /*
    severity:	1: LowImpact
                2: Minor
                3: Moderate
                4: Serious
    type:	1: Accident
            2: Congestion
            3: DisabledVehicle
            4: MassTransit
            5: Miscellaneous
            6: OtherNews
            7: PlannedEvent
            8: RoadHazard
            9: Construction
            10: Alert
            11: Weather
    */
    var options = ["o=json", "severity=2", "type=2,3,4,7,8,9"];
    var coords = [lat - latOffset, lon - lonOffset, lat + latOffset, lon + lonOffset];
    //var url = "https://dev.virtualearth.net/REST/V1/Traffic/Incidents/" + coords.join(',') + "/true?" + options.join('&') + "&key=" + key;
    var url = "src/traffic.php?coords=" + coords.join(',') + "&" + options.join('&');

    console.log("latitude: " + lat);
    console.log("longitude: " + lon);

    let xmlhttp = new XMLHttpRequest();

    xmlhttp.onreadystatechange = function() {
        if (this.readyState === 4 && this.status === 200) {
            var myArr = JSON.parse(this.responseText);
            setup(myArr);
        }
    };

    xmlhttp.open("GET", url, true);
    xmlhttp.send();

    function setup(response) {
        traffic_table.resources = response.resourceSets[0].resources
    }
}

if ("geolocation" in navigator) {
    navigator.geolocation.getCurrentPosition(function(position) {
        getTraffic(position.coords.latitude, position.coords.longitude)
    });
}
else {
    console.log("Geolocation isn't available");
}
