//$(document).ready( function () {

    let scene = new THREE.Scene();
    let camera = new THREE.PerspectiveCamera(80, window.innerWidth / window.innerHeight, 0.1, 1000);
    let renderer = new THREE.WebGLRenderer();
    renderer.setClearColor(0x111111);

    document.getElementById('player-thumbnail').insertBefore(renderer.domElement, document.getElementById('player-caption'));
    //renderer.domElement.setAttribute("class", "pull-right");
    renderer.setSize($('#player-thumbnail').width()-2, $('#player-thumbnail').width()-2);

    let light = new THREE.DirectionalLight(0xffffff);
    let clock = new THREE.Clock(true);

    scene.add(light);

    let myUniforms = {
        gravitySource0: {type: "v3", value: THREE.Vector3(0, 0, 0)},
        gravitySource1: {type: "v3", value: THREE.Vector3(0, 0, 0)},
        gravitySource2: {type: "v3", value: THREE.Vector3(0, 0, 0)},
        gravitySource3: {type: "v3", value: THREE.Vector3(0, 0, 0)},
        gravitySource4: {type: "v3", value: THREE.Vector3(0, 0, 0)},
        gravitySource5: {type: "v3", value: THREE.Vector3(0, 0, 0)},
        gravitySource6: {type: "v3", value: THREE.Vector3(0, 0, 0)},
        gravitySource7: {type: "v3", value: THREE.Vector3(0, 0, 0)},
        gravitySource8: {type: "v3", value: THREE.Vector3(0, 0, 0)},
        gravityStrength: {type: "f", value: 12500.0 * 3}
    };


    let shaderMaterial = new THREE.ShaderMaterial({
        /* d�commenter la ligne ci-dessous pour disposer de vos
         variables de type uniform dans les shaders. */
        uniforms: myUniforms,
        shading: THREE.SmoothShading,
        vertexShader: document.getElementById('vertex_shader').textContent,
        fragmentShader: document.getElementById('fragment_shader').textContent
    });

//let gSphere = new THREE.Mesh(new THREE.SphereGeometry(1),
//    new THREE.MeshLambertMaterial({color: 0xffff00})
//);

//scene.add(gSphere);

// introduire ici un nouveau noeud ayant pour g�om�trie un maillage
// triangulaire et ne pas oublier de l'inclure dans la sc�ne
    let planG = new THREE.PlaneGeometry(150, 150, 150, 150);
    let plan = new THREE.Mesh(planG, shaderMaterial);
    scene.add(plan);

    plan.rotation.x = -Math.PI / 2;

//let cube = new THREE.Mesh(new THREE.BoxGeometry( 100, 100, 100), shaderMaterial);
//scene.add(cube);
//cube.position.x = -150;
//cube.position.z = 50;

//let sphere = new THREE.Mesh(new THREE.SphereGeometry( 50, 32, 32 ), shaderMaterial);
//scene.add(sphere);
//sphere.position.x = 150;
//sphere.position.z = 50;

    let starsMaterial = new THREE.PointsMaterial({color: 0xFFFFFFF});

//let triangle = new THREE.Points( createTriangularMesh(100, 2), starsMaterial );
//let triangle = new THREE.Mesh(createTriangularMesh(100,9), new THREE.MeshLambertMaterial({color: 0xffff00}));

//scene.add( triangle );


    camera.position.z = 175;
    camera.position.y = 100;
//camera.position.y = 300;
    camera.lookAt(new THREE.Vector3(0, 0, 0));

    let audio, audioStream, analyser, source, audioCtx, canvasCtx, frequencyData;
    let init = function () {
        audio = window.player.audio;
        audio.crossOrigin = "anonymous";
        audioCtx = new AudioContext();
        analyser = audioCtx.createAnalyser();
        source = audioCtx.createMediaElementSource(audio);
        source.connect(analyser);
        analyser.connect(audioCtx.destination);
        analyser.fftSize = 32;
        frequencyData = new Uint8Array(analyser.frequencyBinCount);
        //renderer.init({count: analyser.frequencyBinCount, width: window.innerWidth, height: window.innerHeight});
    };

    init();

    function render() {
        requestAnimationFrame(render);
        analyser.getByteFrequencyData(frequencyData);
        myUniforms.gravitySource0.value = new THREE.Vector3(-100, 50 - frequencyData[0] / 255.0 * 35, 0);
        myUniforms.gravitySource1.value = new THREE.Vector3(-75, 50 - frequencyData[2] / 255.0 * 35, 0);
        myUniforms.gravitySource2.value = new THREE.Vector3(-50, 50 - frequencyData[4] / 255.0 * 35, 0);
        myUniforms.gravitySource3.value = new THREE.Vector3(-25, 50 - frequencyData[6] / 255.0 * 35, 0);
        myUniforms.gravitySource4.value = new THREE.Vector3(-0, 50 - frequencyData[8] / 255.0 * 35, 0);
        myUniforms.gravitySource5.value = new THREE.Vector3(25, 50 - frequencyData[10] / 255.0 * 35, 0);
        myUniforms.gravitySource6.value = new THREE.Vector3(50, 50 - frequencyData[12] / 255.0 * 35, 0);
        myUniforms.gravitySource7.value = new THREE.Vector3(75, 50 - frequencyData[14] / 255.0 * 35, 0);
        myUniforms.gravitySource8.value = new THREE.Vector3(100, 50 - frequencyData[16] / 255.0 * 35, 0);
        renderer.render(scene, camera);
    }


    clock.start();
    render();
//});